- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.ListSKAdNetworkConversionValueSchemasResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema/list#try-it)

Lists SKAdNetworkConversionValueSchema on a stream. Properties can have at most one SKAdNetworkConversionValueSchema.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/{parent=properties/*/dataStreams/*}/sKAdNetworkConversionValueSchema`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The DataStream resource to list schemas for. Format: properties/{property_id}/dataStreams/{dataStream} Example: properties/1234/dataStreams/5678 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum) |
| `pageToken` | `string` Optional. A page token, received from a previous `sKAdNetworkConversionValueSchema.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSKAdNetworkConversionValueSchema` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for sKAdNetworkConversionValueSchema.list RPC

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "skadnetworkConversionValueSchemas": [ { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema#SKAdNetworkConversionValueSchema`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `skadnetworkConversionValueSchemas[]` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.sKAdNetworkConversionValueSchema#SKAdNetworkConversionValueSchema`)`` List of SKAdNetworkConversionValueSchemas. This will have at most one value. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. Currently, Google Analytics supports only one SKAdNetworkConversionValueSchema per dataStream, so this will never be populated. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`